//
// 1997/05/30 13:36:14
//

#ifndef __6510_H
#define __6510_H


#include "mytypes.h"


typedef void (*writeData_cb_t)(ubyte sidChipNum, uword addr, ubyte data);


extern ubyte optr3readWave;
extern ubyte optr3readEnve;
extern ubyte* c64mem1;
extern ubyte* c64mem2;

extern char c64memAlloc();
extern char c64memFree();
extern void c64memClear();
extern void c64memReset(int clockSpeed, ubyte randomSeed);
extern ubyte c64memRamRom(uword address);
extern void c64setSidChip(int sidChipNum,
	uword baseAddr, writeData_cb_t writeData_cb);

extern void initInterpreter(int memoryMode);
extern char interpreter(uword pc, ubyte ramrom, ubyte a, ubyte x, ubyte y);


#endif
